Index: /trunk/gli/src/org/greenstone/gatherer/cdm/BuildTypeManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/BuildTypeManager.java	(revision 12122)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/BuildTypeManager.java	(revision 12123)
@@ -103,9 +103,7 @@
 	    
 	    JPanel main_panel = new JPanel();
-	    label = new JLabel();
-	    label.setText(Dictionary.get("CDM.BuildTypeManager.Current_Type", getBuildTypeString(getBuildType())));
-	    change_button = new GLIButton();
-	    Dictionary.registerBoth(change_button, "CDM.BuildTypeManager.Change", "CDM.BuildTypeManager.Change_Tooltip");
-	    
+	    label = new JLabel(Dictionary.get("CDM.BuildTypeManager.Current_Type", getBuildTypeString(getBuildType())));
+	    change_button = new GLIButton(Dictionary.get("CDM.BuildTypeManager.Change"), Dictionary.get("CDM.BuildTypeManager.Change_Tooltip"));
+	    	    
 	    change_button.addActionListener(new ActionListener() {
 		    public void actionPerformed(ActionEvent event) {
@@ -167,5 +165,5 @@
 	    this.self = this;
 	    setSize(DIALOG_SIZE);
-	    Dictionary.setText(this, "CDM.BuildTypeManager.Title");
+	    setTitle(Dictionary.get("CDM.BuildTypeManager.Title"));
 	
 	    mg_button = new JRadioButton(BUILD_TYPE_MG_STR);
@@ -205,6 +203,6 @@
 	    description_textarea.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
 	    description_textarea.setText(Dictionary.get("CDM.BuildTypeManager."+current_build_type+"_Description"));
-	    cancel_button = new GLIButton();
-	    Dictionary.setBoth(cancel_button, "General.Cancel", "General.Cancel_Tooltip");
+	    cancel_button = new GLIButton(Dictionary.get("General.Cancel"), Dictionary.get("General.Cancel_Tooltip"));
+	    
 	    cancel_button.addActionListener(new ActionListener() {
 		    public void actionPerformed(ActionEvent event) {
@@ -213,6 +211,6 @@
 		});
 	    
-	    ok_button = new GLIButton();
-	    Dictionary.setBoth(ok_button, "General.OK", "General.OK_Tooltip");
+	    ok_button = new GLIButton(Dictionary.get("General.OK"), Dictionary.get("General.OK_Tooltip"));
+	    
 	    ok_button.addActionListener(new ActionListener() {
 		    public void actionPerformed(ActionEvent event) {
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/ClassifierManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/ClassifierManager.java	(revision 12122)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/ClassifierManager.java	(revision 12123)
@@ -537,13 +537,12 @@
 	    Collections.sort(library);
 	    // Create
-	    add = new GLIButton();
-	    add.setMnemonic(KeyEvent.VK_A);
-	    Dictionary.registerBoth(add, "CDM.ClassifierManager.Add", "CDM.ClassifierManager.Add_Tooltip");
+	    add = new GLIButton(Dictionary.get("CDM.ClassifierManager.Add"), Dictionary.get("CDM.ClassifierManager.Add_Tooltip"));
+	    
 	    JPanel button_pane = new JPanel();
 	    JPanel central_pane = new JPanel();
-	    configure = new GLIButton();
+	    
+configure = new GLIButton(Dictionary.get("CDM.ClassifierManager.Configure"), Dictionary.get("CDM.ClassifierManager.Configure_Tooltip"));
 	    configure.setEnabled(false);
-	    configure.setMnemonic(KeyEvent.VK_C);
-	    Dictionary.registerBoth(configure, "CDM.ClassifierManager.Configure", "CDM.ClassifierManager.Configure_Tooltip");
+	    
 	    JPanel header_pane = new DesignPaneHeader("CDM.GUI.Classifiers", "classifiers");
 
@@ -560,33 +559,27 @@
 	    }
 
-	    JLabel classifier_label = new JLabel();
-	    Dictionary.registerText(classifier_label, "CDM.ClassifierManager.Classifier");
+	    JLabel classifier_label = new JLabel(Dictionary.get("CDM.ClassifierManager.Classifier"));
+	    
 	    classifier_list = new JList(model);
 	    classifier_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
-	    JLabel classifier_list_label = new JLabel();
-	    //	    classifier_list_label.setHorizontalAlignment(JLabel.CENTER);
+	    JLabel classifier_list_label = new JLabel(Dictionary.get("CDM.ClassifierManager.Assigned"));
+	    
 	    classifier_list_label.setOpaque(true);
-	    Dictionary.registerText(classifier_list_label, "CDM.ClassifierManager.Assigned");
+	    
 	    JPanel classifier_list_pane = new JPanel();
 	    JPanel classifier_pane = new JPanel();
-	    remove = new GLIButton();
+	    remove = new GLIButton(Dictionary.get("CDM.ClassifierManager.Remove"), Dictionary.get("CDM.ClassifierManager.Remove_Tooltip"));
 	    remove.setEnabled(false);
-	    remove.setMnemonic(KeyEvent.VK_R);
-	    Dictionary.registerBoth(remove, "CDM.ClassifierManager.Remove", "CDM.ClassifierManager.Remove_Tooltip");
-
+	    
 	    JPanel temp = new JPanel(new BorderLayout());
 
 	    JPanel move_button_pane = new JPanel();
 
-	    move_up_button = new GLIButton("", JarTools.getImage("arrow-up.gif"));
+	    move_up_button = new GLIButton(Dictionary.get("CDM.Move.Move_Up"), JarTools.getImage("arrow-up.gif"), Dictionary.get("CDM.Move.Move_Up_Tooltip"));
 	    move_up_button.setEnabled(false);
-	    move_up_button.setMnemonic(KeyEvent.VK_U);
-	    Dictionary.registerBoth(move_up_button, "CDM.Move.Move_Up", "CDM.Move.Move_Up_Tooltip");
-
-	    move_down_button = new GLIButton("", JarTools.getImage("arrow-down.gif"));
+	    
+	    move_down_button = new GLIButton(Dictionary.get("CDM.Move.Move_Down"), JarTools.getImage("arrow-down.gif"), Dictionary.get("CDM.Move.Move_Down_Tooltip"));
 	    move_down_button.setEnabled(false);
-	    move_down_button.setMnemonic(KeyEvent.VK_D);
-	    Dictionary.registerBoth(move_down_button, "CDM.Move.Move_Down", "CDM.Move.Move_Down_Tooltip");
-
+	    
 	    // Listeners
 	    add.addActionListener(new AddListener());
@@ -724,9 +717,9 @@
                 // And reset the tooltip. If the plugin is null or is a string, then go back to the default message
                 if(current_selection == null || current_selection instanceof String) {
-                    Dictionary.registerTooltip(classifier, "CDM.ClassifierManager.Classifier_Tooltip");
+		    classifier.setToolTipText(Dictionary.get("CDM.ClassifierManager.Classifier_Tooltip"));
                 }
                 else {
                     Classifier current_classifier = (Classifier) current_selection;
-                    Dictionary.registerTooltipText(classifier, Utility.formatHTMLWidth(current_classifier.getDescription(), 40));
+		    classifier.setToolTipText(Utility.formatHTMLWidth(current_classifier.getDescription(), 40));
                     current_classifier = null;
                 }
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/CollectionDesignManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/CollectionDesignManager.java	(revision 12122)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/CollectionDesignManager.java	(revision 12123)
@@ -35,5 +35,4 @@
 import org.greenstone.gatherer.Configuration;
 import org.greenstone.gatherer.DebugStream;
-import org.greenstone.gatherer.Dictionary;
 import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.LocalLibraryServer;
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/FormatManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/FormatManager.java	(revision 12122)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/FormatManager.java	(revision 12123)
@@ -315,26 +315,23 @@
 	    JPanel header_pane = new DesignPaneHeader("CDM.GUI.Formats", "formatstatements");
 
-	    JLabel format_label = new JLabel();
-	    Dictionary.registerText(format_label, "CDM.FormatManager.Assigned_Formats");
+	    JLabel format_label = new JLabel(Dictionary.get("CDM.FormatManager.Assigned_Formats"));
 	    format_list = new JList(model);
 
 	    selection_pane = new JPanel();
 	    JPanel feature_pane = new JPanel();
-	    JLabel feature_label = new JLabel();
-	    Dictionary.registerText(feature_label, "CDM.FormatManager.Feature");
+	    JLabel feature_label = new JLabel(Dictionary.get("CDM.FormatManager.Feature"));
+
 	    feature_combobox = new JComboBox(feature_model.toArray());
 	    feature_combobox.setPreferredSize(FIELD_SIZE);
 	    feature_combobox.setEditable(false);
-	    Dictionary.registerTooltip(feature_combobox, "CDM.FormatManager.Feature_Tooltip");
-
+	    feature_combobox.setToolTipText(Dictionary.get("CDM.FormatManager.Feature_Tooltip"));
+	    
 	    part_pane = new JPanel();
-	    JLabel part_label = new JLabel();
-	    Dictionary.registerText(part_label, "CDM.FormatManager.Part");
-
+	    JLabel part_label = new JLabel(Dictionary.get("CDM.FormatManager.Part"));
 	    part_combobox = new JComboBox(part_model.toArray());
 	    part_combobox.setPreferredSize(FIELD_SIZE);
 	    part_combobox.setEditable(false);
-	    Dictionary.registerTooltip(part_combobox, "CDM.FormatManager.Part_Tooltip");
-
+	    part_combobox.setToolTipText(Dictionary.get("CDM.FormatManager.Part_Tooltip"));
+	    
 	    blank_pane = new JPanel();
 	    
@@ -348,7 +345,6 @@
 	    JPanel editor_pane = new JPanel();
 	    JPanel editor_header_pane = new JPanel();
-	    JLabel editor_label = new JLabel();
-	    Dictionary.registerText(editor_label, "CDM.FormatManager.Editor");
-
+	    JLabel editor_label = new JLabel(Dictionary.get("CDM.FormatManager.Editor"));
+	    
 	    editor_textarea = new JTextArea();
 	    editor_textarea.setBackground(Configuration.getColor("coloring.editable_background", false));
@@ -357,47 +353,32 @@
 	    editor_textarea.setRows(6);
 	    editor_textarea.setWrapStyleWord(false);
-	    Dictionary.registerTooltip(editor_textarea, "CDM.FormatManager.Add_Tooltip");
-
+	    editor_textarea.setToolTipText(Dictionary.get("CDM.FormatManager.Add_Tooltip"));
+	    
 	    JPanel variable_pane = new JPanel();
-	    JLabel variable_label = new JLabel();
-	    Dictionary.registerText(variable_label, "CDM.FormatManager.Variable");
+	    JLabel variable_label = new JLabel(Dictionary.get("CDM.FormatManager.Variable"));
+	    
 	    variable_combobox = new JComboBox(variable_model.toArray());
-	    Dictionary.registerTooltip(variable_combobox, "CDM.FormatManager.Variable_Tooltip");
-
-	    insert_button = new GLIButton();
-	    insert_button.setMnemonic(KeyEvent.VK_I);
-	    Dictionary.registerBoth(insert_button, "CDM.FormatManager.Insert", "CDM.FormatManager.Insert_Tooltip");
-      
-            default_button = new GLIButton();
-	    default_button.setMnemonic(KeyEvent.VK_D);
-	    Dictionary.registerBoth(default_button, "CDM.FormatManager.Default", "CDM.FormatManager.Default_Tooltip");
-      
+	    variable_combobox.setToolTipText(Dictionary.get("CDM.FormatManager.Variable_Tooltip"));
+	    
+	    insert_button = new GLIButton(Dictionary.get("CDM.FormatManager.Insert"), Dictionary.get("CDM.FormatManager.Insert_Tooltip"));
+	          
+            default_button = new GLIButton(Dictionary.get("CDM.FormatManager.Default"), Dictionary.get("CDM.FormatManager.Default_Tooltip"));
+	          
 	    JPanel flag_pane = new JPanel();
-	    enabled_checkbox = new JCheckBox();
-	    Dictionary.registerText(enabled_checkbox, "CDM.FormatManager.Enabled");
-
+	    enabled_checkbox = new JCheckBox(Dictionary.get("CDM.FormatManager.Enabled"));
+	   
 	    JPanel button_pane = new JPanel();
-	    add_button = new GLIButton();
+	    add_button = new GLIButton(Dictionary.get("CDM.FormatManager.Add"), Dictionary.get("CDM.FormatManager.Add_Tooltip"));
 	    add_button.setEnabled(false);
-	    add_button.setMnemonic(KeyEvent.VK_A);
-	    Dictionary.registerBoth(add_button, "CDM.FormatManager.Add", "CDM.FormatManager.Add_Tooltip");
-
-	   
-	    remove_button = new GLIButton();
+	    	   
+	    remove_button = new GLIButton(Dictionary.get("CDM.FormatManager.Remove"), Dictionary.get("CDM.FormatManager.Remove_Tooltip"));
 	    remove_button.setEnabled(false);
-	    remove_button.setMnemonic(KeyEvent.VK_R);
-	    Dictionary.registerBoth(remove_button, "CDM.FormatManager.Remove", "CDM.FormatManager.Remove_Tooltip");
-
-            undo_button = new GLIButton();
+	    
+            undo_button = new GLIButton(Dictionary.get("CDM.FormatManager.Undo"), Dictionary.get("CDM.FormatManager.Undo_Tooltip"));
 	    undo_button.setEnabled(false);
-	    undo_button.setMnemonic(KeyEvent.VK_U);
-	    Dictionary.registerBoth(undo_button, "CDM.FormatManager.Undo", "CDM.FormatManager.Undo_Tooltip");
-
-            redo_button = new GLIButton();
+	    
+            redo_button = new GLIButton(Dictionary.get("CDM.FormatManager.Redo"), Dictionary.get("CDM.FormatManager.Redo_Tooltip"));
 	    redo_button.setEnabled(false);
-	    redo_button.setMnemonic(KeyEvent.VK_O);
-	    Dictionary.registerBoth(redo_button, "CDM.FormatManager.Redo", "CDM.FormatManager.Redo_Tooltip");
-
-
+	    
 	    // Connect
 	    add_button.addActionListener(new AddListener());
@@ -833,6 +814,6 @@
 	    editor_textarea.setEditable(false);
 	    editor_textarea.setBackground(Color.lightGray); 
-	    Dictionary.registerTooltip(editor_textarea, "CDM.FormatManager.Editor_Disabled_Tooltip");
-
+	    editor_textarea.setToolTipText(Dictionary.get("CDM.FormatManager.Editor_Disabled_Tooltip"));
+	    
 	    enabled_checkbox.setEnabled(false);
             undo_button.setEnabled(false);
@@ -848,5 +829,5 @@
 	    editor_textarea.setEditable(true);
 	    editor_textarea.setBackground(Color.white);
-	    Dictionary.registerTooltip(editor_textarea, "CDM.FormatManager.Editor_Tooltip");
+	    editor_textarea.setToolTipText(Dictionary.get("CDM.FormatManager.Editor_Tooltip"));
 	    enabled_checkbox.setEnabled(true);
             variable_combobox.setEnabled(true);  
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/GeneralManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/GeneralManager.java	(revision 12122)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/GeneralManager.java	(revision 12123)
@@ -138,53 +138,44 @@
 	    JPanel fields_panel = new JPanel();
 
-	    creator_label = new JLabel();
-	    Dictionary.registerText(creator_label, "CDM.General.Email.Creator");
-
+	    creator_label = new JLabel(Dictionary.get("CDM.General.Email.Creator"));
+	    
 	    creator_emailfield = new EmailField(Configuration.getColor("coloring.error_background", false));
-	    Dictionary.registerTooltip(creator_emailfield, "CDM.General.Email.Creator_Tooltip");
-
-	    maintainer_label = new JLabel();
-	    Dictionary.registerText(maintainer_label, "CDM.General.Email.Maintainer");
-
+	    creator_emailfield.setToolTipText(Dictionary.get("CDM.General.Email.Creator_Tooltip"));
+	    
+	    maintainer_label = new JLabel(Dictionary.get("CDM.General.Email.Maintainer"));
+	    
 	    maintainer_emailfield = new EmailField(Configuration.getColor("coloring.error_background", false));
-	    Dictionary.registerTooltip(maintainer_emailfield, "CDM.General.Email.Maintainer_Tooltip");
-
-	    name_label = new JLabel();
-	    Dictionary.registerText(name_label, "CDM.General.Collection_Name");
-	    name_textfield = new JTextField("CDM.General.Collection_Name");
-	    Dictionary.registerTooltip(name_textfield, "CDM.General.Collection_Name_Tooltip");
-	    JLabel short_name_label = new JLabel();
-	    Dictionary.registerText(short_name_label, "NewCollectionPrompt.Collection_Name");
+	    maintainer_emailfield.setToolTipText(Dictionary.get("CDM.General.Email.Maintainer_Tooltip"));
+	    
+	    name_label = new JLabel(Dictionary.get("CDM.General.Collection_Name"));
+	    name_textfield = new JTextField();
+	    name_textfield.setToolTipText(Dictionary.get("CDM.General.Collection_Name_Tooltip"));
+	    
+	    JLabel short_name_label = new JLabel(Dictionary.get("NewCollectionPrompt.Collection_Name"));
 	    JTextField short_name_textfield = new JTextField(Gatherer.c_man.getCollection().getName());
 	    short_name_textfield.setEditable(false);
 	    short_name_textfield.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
 	    JPanel icon_panel = new JPanel();
-	    icon_label = new JLabel();
-	    Dictionary.registerText(icon_label, "CDM.General.Icon_Collection");
-	    icon_textfield = new JTextField("CDM.General.Icon_Collection");
-	    Dictionary.registerTooltip(icon_textfield, "CDM.General.Icon_Collection_Tooltip");
-	    browse_about_icon_button = new GLIButton();
-	    browse_about_icon_button.setMnemonic(KeyEvent.VK_A);
-	    Dictionary.registerText(browse_about_icon_button, "General.Browse");
+	    icon_label = new JLabel(Dictionary.get("CDM.General.Icon_Collection"));
+	    icon_textfield = new JTextField();
+	    icon_textfield.setToolTipText(Dictionary.get("CDM.General.Icon_Collection_Tooltip")); 
+	    browse_about_icon_button = new GLIButton(Dictionary.get("General.Browse"));
 	    JPanel small_icon_panel = new JPanel();
-	    small_icon_label = new JLabel("CDM.General.Icon_Collection_Small");
-	    Dictionary.registerText(small_icon_label, "CDM.General.Icon_Collection_Small");
-	    small_icon_textfield = new JTextField("CDM.General.Icon_Collection_Small");
-	    Dictionary.registerTooltip(small_icon_textfield, "CDM.General.Icon_Collection_Small_Tooltip");
-	    browse_home_icon_button = new GLIButton();
-	    browse_home_icon_button.setMnemonic(KeyEvent.VK_A);
-	    Dictionary.registerText(browse_home_icon_button, "General.Browse");
+	    small_icon_label = new JLabel(Dictionary.get("CDM.General.Icon_Collection_Small"));
+	    small_icon_textfield = new JTextField();
+	    small_icon_textfield.setToolTipText(Dictionary.get("CDM.General.Icon_Collection_Small_Tooltip"));
+	    browse_home_icon_button = new GLIButton(Dictionary.get("General.Browse"));
 
 	    // public
 	    JPanel box_panel = new JPanel();
-	    public_checkbox = new JCheckBox("", public_collectionmeta.getValue(CollectionMeta.TEXT).equals(CollectionConfiguration.TRUE_STR));
-	    Dictionary.registerText(public_checkbox, "CDM.General.Access");
-
+	    public_checkbox = new JCheckBox(Dictionary.get("CDM.General.Access"), public_collectionmeta.getValue(CollectionMeta.TEXT).equals(CollectionConfiguration.TRUE_STR));
+	    
 	    JPanel description_panel = new JPanel();
-	    description_label = new JLabel();
-	    Dictionary.registerText(description_label, "CDM.General.Collection_Extra");
+	    description_label = new JLabel(Dictionary.get("CDM.General.Collection_Extra"));
+	    
 	    description_textarea = new JTextArea();
 	    description_textarea.setBackground(Configuration.getColor("coloring.editable_background", false));
-	    Dictionary.registerTooltip(description_textarea, "CDM.General.Collection_Extra_Tooltip");
+	    description_textarea.setToolTipText(Dictionary.get("CDM.General.Collection_Extra_Tooltip"));
+	    
 	    // Connection
 	    BrowseListener browse_listener = new BrowseListener(StaticStrings.IMAGES_PATH_RELATIVE_TO_GSDL_PREFIX);
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/LanguageManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/LanguageManager.java	(revision 12122)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/LanguageManager.java	(revision 12123)
@@ -307,6 +307,5 @@
 	    JPanel center_panel = new JPanel();
 
-	    JLabel selected_languages_list_label = new JLabel();
-	    Dictionary.registerText(selected_languages_list_label, "CDM.LanguageManager.Assigned_Languages");
+	    JLabel selected_languages_list_label = new JLabel(Dictionary.get("CDM.LanguageManager.Assigned_Languages"));
 	    selected_languages_list = new JList(model);
 	    selected_languages_list.setCellRenderer(new MyLanguageListCellRenderer());
@@ -316,34 +315,26 @@
 
 	    JPanel control_panel = new JPanel();
-	    JLabel selector_label = new JLabel();
-	    Dictionary.registerText(selector_label, "CDM.LanguageManager.Selector");
-
+	    JLabel selector_label = new JLabel(Dictionary.get("CDM.LanguageManager.Selector"));
+	    
 	    language_combobox = new JComboBox(getLanguageCodes().toArray());
 	    language_combobox.setPreferredSize(COMPONENT_SIZE);
 	    language_combobox.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
 	    language_combobox.setRenderer(new LanguageListCellRenderer());
-	    Dictionary.registerTooltip(language_combobox, "CDM.LanguageManager.Selector_Tooltip");
-
+	    language_combobox.setToolTipText(Dictionary.get("CDM.LanguageManager.Selector_Tooltip"));
+	    
 	    JPanel movement_pane = new JPanel();
-	    move_up_button = new GLIButton("", JarTools.getImage("arrow-up.gif"));
+	    move_up_button = new GLIButton(Dictionary.get("CDM.Move.Move_Up"), JarTools.getImage("arrow-up.gif"), Dictionary.get("CDM.Move.Move_Up_Tooltip"));
 	    move_up_button.setEnabled(false);
-	    move_up_button.setMnemonic(KeyEvent.VK_U);
-	    Dictionary.registerBoth(move_up_button, "CDM.Move.Move_Up", "CDM.Move.Move_Up_Tooltip");
-
-	    move_down_button = new GLIButton("", JarTools.getImage("arrow-down.gif"));
+	    
+	    move_down_button = new GLIButton(Dictionary.get("CDM.Move.Move_Down"), JarTools.getImage("arrow-down.gif"), Dictionary.get("CDM.Move.Move_Down_Tooltip"));
 	    move_down_button.setEnabled(false);
-	    move_down_button.setMnemonic(KeyEvent.VK_D);
-	    Dictionary.registerBoth(move_down_button, "CDM.Move.Move_Down", "CDM.Move.Move_Down_Tooltip");
-
-	    set_default_button = new GLIButton();
+	    
+	    set_default_button = new GLIButton(Dictionary.get("CDM.LanguageManager.Set_Default"), Dictionary.get("CDM.LanguageManager.Set_Default_Tooltip"));
 	    set_default_button.setEnabled(false);
-	    set_default_button.setMnemonic(KeyEvent.VK_S);
-	    Dictionary.registerBoth(set_default_button, "CDM.LanguageManager.Set_Default", "CDM.LanguageManager.Set_Default_Tooltip");
-
+	    
 	    JPanel button_panel = new JPanel();
 
-	    add_button = new GLIButton();
-	    add_button.setMnemonic(KeyEvent.VK_A);
-	    Dictionary.registerBoth(add_button, "CDM.LanguageManager.Add", "CDM.LanguageManager.Add_Tooltip");
+	    add_button = new GLIButton(Dictionary.get("CDM.LanguageManager.Add"), Dictionary.get("CDM.LanguageManager.Add_Tooltip"));
+	    
 	    if (getLanguage((String)language_combobox.getItemAt(0))==null) {
 		add_button.setEnabled(true);
@@ -351,9 +342,7 @@
 		add_button.setEnabled(false);
 	    }
-	    remove_button = new GLIButton();
-	    remove_button.setMnemonic(KeyEvent.VK_R);
+	    remove_button = new GLIButton(Dictionary.get("CDM.LanguageManager.Remove"), Dictionary.get("CDM.LanguageManager.Remove_Tooltip"));
 	    remove_button.setEnabled(false);
-	    Dictionary.registerBoth(remove_button, "CDM.LanguageManager.Remove", "CDM.LanguageManager.Remove_Tooltip");
-
+	    
 	    // Set up and connect listeners.
 	    add_button.addActionListener(new AddListener());
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/MacrosManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/MacrosManager.java	(revision 12122)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/MacrosManager.java	(revision 12123)
@@ -109,5 +109,5 @@
 	    macros_textarea.setLineWrap(false);
 	    macros_textarea.setWrapStyleWord(false);
-	    Dictionary.registerTooltip(macros_textarea, "CDM.MacrosManager.Editor_Tooltip");
+	    macros_textarea.setToolTipText(Dictionary.get("CDM.MacrosManager.Editor_Tooltip"));
 
 	    JPanel macros_pane = new JPanel();
@@ -115,10 +115,8 @@
 	    macros_pane.setLayout(new BorderLayout());
 	    macros_pane.add(new JScrollPane(macros_textarea), BorderLayout.CENTER);
-
-	    save_button = new GLIButton();
-	    Dictionary.registerBoth(save_button, "CDM.MacrosManager.Save", "CDM.MacrosManager.Save_Tooltip");
-	    revert_button = new GLIButton();
-	    Dictionary.registerBoth(revert_button, "CDM.MacrosManager.Revert", "CDM.MacrosManager.Revert_Tooltip");
 	    
+	    save_button = new GLIButton(Dictionary.get("CDM.MacrosManager.Save"), Dictionary.get("CDM.MacrosManager.Save_Tooltip"));
+	    revert_button = new GLIButton(Dictionary.get("CDM.MacrosManager.Revert"), Dictionary.get("CDM.MacrosManager.Revert_Tooltip"));
+
 	    save_button.addActionListener(new SaveListener());
 	    revert_button.addActionListener(new RevertListener());
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/MetadataSetView.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/MetadataSetView.java	(revision 12122)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/MetadataSetView.java	(revision 12123)
@@ -164,8 +164,7 @@
 	    // Create visual components
 	    central_pane = new JPanel();
-	    element_label = new JLabel();
-	    //element_label.setHorizontalAlignment(JLabel.CENTER);
+	    element_label = new JLabel(Dictionary.get("CDM.MetadataSetManager.Elements"));
 	    element_label.setOpaque(true);
-	    Dictionary.registerText(element_label, "CDM.MetadataSetManager.Elements");
+	    
 	    element_list = new JList();
 	    element_list_scroll_pane = new JScrollPane();
@@ -177,8 +176,7 @@
 
 	    JPanel header_pane = new DesignPaneHeader("CDM.GUI.MetadataSets", "metadatasets");
-	    set_label = new JLabel();
-	    //set_label.setHorizontalAlignment(JLabel.CENTER);
+	    set_label = new JLabel(Dictionary.get("CDM.MetadataSetManager.Sets"));
 	    set_label.setOpaque(true);
-	    Dictionary.registerText(set_label, "CDM.MetadataSetManager.Sets");
+	    
 	    set_list = new JList(model);
 	    set_list.setCellRenderer(new MetadataSetListCellRenderer());
@@ -188,17 +186,13 @@
 
 	    JPanel button_pane = new JPanel();
-	    add_button = new GLIButton();
+	    add_button = new GLIButton(Dictionary.get("CDM.MetadataSetManager.Add"), Dictionary.get("CDM.MetadataSetManager.Add_Tooltip"));
 	    add_button.setEnabled(true);
-	    add_button.setMnemonic(KeyEvent.VK_A);
-	    Dictionary.registerBoth(add_button, "CDM.MetadataSetManager.Add", "CDM.MetadataSetManager.Add_Tooltip");
-	    edit_button = new GLIButton();
+	    
+	    edit_button = new GLIButton(Dictionary.get("CDM.MetadataSetManager.Edit"), Dictionary.get("CDM.MetadataSetManager.Edit_Tooltip"));
 	    edit_button.setEnabled(false);
-	    edit_button.setMnemonic(KeyEvent.VK_E);
-	    Dictionary.registerBoth(edit_button, "CDM.MetadataSetManager.Edit", "CDM.MetadataSetManager.Edit_Tooltip");
-	    
-	    remove_button = new GLIButton();
+	    	    
+	    remove_button = new GLIButton(Dictionary.get("CDM.MetadataSetManager.Remove"), Dictionary.get("CDM.MetadataSetManager.Remove_Tooltip"));
 	    remove_button.setEnabled(false);
-	    remove_button.setMnemonic(KeyEvent.VK_R);
-	    Dictionary.registerBoth(remove_button, "CDM.MetadataSetManager.Remove", "CDM.MetadataSetManager.Remove_Tooltip");
+	    
 	    list_listener = new MetadataSetListSelectionListener();
 
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 12122)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 12123)
@@ -701,27 +701,19 @@
 	public PluginControl() {
 	    // Create
-	    add = new GLIButton();
-	    add.setMnemonic(KeyEvent.VK_A);
-	    Dictionary.registerBoth(add, "CDM.PlugInManager.Add", "CDM.PlugInManager.Add_Tooltip");
-
+	    add = new GLIButton(Dictionary.get("CDM.PlugInManager.Add"), Dictionary.get("CDM.PlugInManager.Add_Tooltip"));
+	    
 	    button_pane = new JPanel();
 	    central_pane = new JPanel();
 
-	    configure = new GLIButton();
+	    configure = new GLIButton(Dictionary.get("CDM.PlugInManager.Configure"), Dictionary.get("CDM.PlugInManager.Configure_Tooltip"));
 	    configure.setEnabled(false);
-	    configure.setMnemonic(KeyEvent.VK_C);
-	    Dictionary.registerBoth(configure, "CDM.PlugInManager.Configure", "CDM.PlugInManager.Configure_Tooltip");
-
+	    
 	    JPanel header_pane = new DesignPaneHeader("CDM.GUI.Plugins", "plugins");
-	    move_up_button = new GLIButton("", JarTools.getImage("arrow-up.gif"));
+	    move_up_button = new GLIButton(Dictionary.get("CDM.Move.Move_Up"), JarTools.getImage("arrow-up.gif"), Dictionary.get("CDM.Move.Move_Up_Tooltip"));
 	    move_up_button.setEnabled(false);
-	    move_up_button.setMnemonic(KeyEvent.VK_U);
-	    Dictionary.registerBoth(move_up_button, "CDM.Move.Move_Up", "CDM.Move.Move_Up_Tooltip");
-
-	    move_down_button = new GLIButton("", JarTools.getImage("arrow-down.gif"));
+	    
+	    move_down_button = new GLIButton(Dictionary.get("CDM.Move.Move_Down"), JarTools.getImage("arrow-down.gif"), Dictionary.get("CDM.Move.Move_Down_Tooltip"));
 	    move_down_button.setEnabled(false);
-	    move_down_button.setMnemonic(KeyEvent.VK_D);
-	    Dictionary.registerBoth(move_down_button, "CDM.Move.Move_Down", "CDM.Move.Move_Down_Tooltip");
-
+	    
 	    movement_pane = new JPanel();
 
@@ -735,23 +727,19 @@
 	    picl.itemStateChanged(new ItemEvent(plugin, 0, null, ItemEvent.SELECTED));
 
-	    plugin_label = new JLabel();
-	    Dictionary.registerText(plugin_label, "CDM.PlugInManager.PlugIn");
-
+	    plugin_label = new JLabel(Dictionary.get("CDM.PlugInManager.PlugIn"));
+	    
 	    plugin_list = new JList(model);
 	    plugin_list.setCellRenderer(new ListRenderer());
 	    plugin_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
-	    plugin_list_label = new JLabel();
+	    plugin_list_label = new JLabel(Dictionary.get("CDM.PlugInManager.Assigned"));
 	    //plugin_list_label.setHorizontalAlignment(JLabel.CENTER);
 	    plugin_list_label.setOpaque(true);
-	    Dictionary.registerText(plugin_list_label, "CDM.PlugInManager.Assigned");
-
+	    
 	    plugin_list_pane = new JPanel();
 	    plugin_pane = new JPanel();
 
-	    remove = new GLIButton();
+	    remove = new GLIButton(Dictionary.get("CDM.PlugInManager.Remove"), Dictionary.get("CDM.PlugInManager.Remove_Tooltip"));
 	    remove.setEnabled(false);
-	    remove.setMnemonic(KeyEvent.VK_R);
-	    Dictionary.registerBoth(remove, "CDM.PlugInManager.Remove", "CDM.PlugInManager.Remove_Tooltip");
-
+	    
 	    // Listeners
 	    add.addActionListener(new AddListener()); //all_change_listener is listening to the ArgumentConfiguration
@@ -1074,9 +1062,9 @@
                 // And reset the tooltip. If the plugin is null or is a string, then go back to the default message
                 if(current_selection == null || current_selection instanceof String) {
-                    Dictionary.registerTooltip(plugin, "CDM.PlugInManager.PlugIn_Tooltip");
+		    plugin.setToolTipText(Dictionary.get("CDM.PlugInManager.PlugIn_Tooltip"));
                 }
                 else {
                     Plugin current_plugin = (Plugin) current_selection;
-                    Dictionary.registerTooltipText(plugin, Utility.formatHTMLWidth(current_plugin.getDescription(), 40));
+		    plugin.setToolTipText(Utility.formatHTMLWidth(current_plugin.getDescription(), 40));
                     current_plugin = null;
                 }
@@ -1154,10 +1142,10 @@
 	    setModal(true);
 	    setSize(size);
-	    Dictionary.setText(this, "CDM.PluginManager.SuggestedPluginListTitle");
+	    setTitle(Dictionary.get("CDM.PluginManager.SuggestedPluginListTitle"));
 
 	    String[] args = new String[1];
 	    args[0] = filename;
 
-	    JTextArea instructions_textarea = new JTextArea();
+	    JTextArea instructions_textarea = new JTextArea(Dictionary.get("CDM.PluginManager.Plugin_Suggestion_Prompt", args));
 	    instructions_textarea.setCaretPosition(0);
 	    instructions_textarea.setEditable(false);
@@ -1165,8 +1153,6 @@
 	    instructions_textarea.setRows(5);
 	    instructions_textarea.setWrapStyleWord(true);
-	    Dictionary.setText(instructions_textarea, "CDM.PluginManager.Plugin_Suggestion_Prompt", args);
-
-	    JLabel suitable_plugins_label = new JLabel();
-	    Dictionary.registerText(suitable_plugins_label, "CDM.PlugInManager.PlugIn");
+
+	    JLabel suitable_plugins_label = new JLabel(Dictionary.get("CDM.PlugInManager.PlugIn"));
 	    suitable_plugins_label.setBorder(BorderFactory.createEmptyBorder(0,0,5,0));
 
@@ -1183,9 +1169,7 @@
 	    suitable_plugins_pane.add(suitable_plugins_combobox, BorderLayout.CENTER);
 
-	    add_button = new GLIButton();
-	    Dictionary.setBoth(add_button, "CDM.PlugInManager.QuickAdd", "CDM.PlugInManager.Add_Tooltip");
-	    ignore_button = new GLIButton();
-	    Dictionary.setBoth(ignore_button, "CDM.PlugInManager.Ignore","CDM.PlugInManager.Ignore_Tooltip" );
-
+	    add_button = new GLIButton(Dictionary.get("CDM.PlugInManager.QuickAdd"), Dictionary.get("CDM.PlugInManager.Add_Tooltip"));
+	    ignore_button = new GLIButton(Dictionary.get("CDM.PlugInManager.Ignore"), Dictionary.get("CDM.PlugInManager.Ignore_Tooltip"));
+	    
 	    add_button.addActionListener(this);
 	    ignore_button.addActionListener(this);
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionIndexManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionIndexManager.java	(revision 12122)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionIndexManager.java	(revision 12123)
@@ -255,7 +255,6 @@
 	    // Creation
 	    JPanel assigned_indexes_pane = new JPanel();
-	    JLabel index_label = new JLabel();
-	    Dictionary.registerText(index_label, "CDM.SubcollectionIndexManager.Subindexes");
- 	    subcollection_index_list = new JList(model);
+	    JLabel index_label = new JLabel(Dictionary.get("CDM.SubcollectionIndexManager.Subindexes"));
+	    subcollection_index_list = new JList(model);
 	    subcollection_index_list.setCellRenderer(new SubcollectionIndexListCellRenderer());
  	    subcollection_index_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
@@ -263,19 +262,13 @@
 
 	    JPanel movement_pane = new JPanel();
-	    move_up_button = new GLIButton("", JarTools.getImage("arrow-up.gif"));
+	    move_up_button = new GLIButton(Dictionary.get("CDM.Move.Move_Up"), JarTools.getImage("arrow-up.gif"), Dictionary.get("CDM.Move.Move_Up_Tooltip"));
 	    move_up_button.setEnabled(false);
-	    move_up_button.setMnemonic(KeyEvent.VK_U);
-	    Dictionary.registerBoth(move_up_button, "CDM.Move.Move_Up", "CDM.Move.Move_Up_Tooltip");
-
-	    move_down_button = new GLIButton("", JarTools.getImage("arrow-down.gif"));
+	    
+	    move_down_button = new GLIButton(Dictionary.get("CDM.Move.Move_Down"), JarTools.getImage("arrow-down.gif"), Dictionary.get("CDM.Move.Move_Down_Tooltip"));
 	    move_down_button.setEnabled(false);
-	    move_down_button.setMnemonic(KeyEvent.VK_D);
-	    Dictionary.registerBoth(move_down_button, "CDM.Move.Move_Down", "CDM.Move.Move_Down_Tooltip");
-
-	    set_default_button = new GLIButton();
+	    
+	    set_default_button = new GLIButton(Dictionary.get("CDM.SubcollectionIndexManager.Set_Default_Subindex"), Dictionary.get("CDM.SubcollectionIndexManager.Set_Default_Subindex_Tooltip"));
 	    set_default_button.setEnabled(false);
-	    set_default_button.setMnemonic(KeyEvent.VK_S);
-	    Dictionary.registerBoth(set_default_button, "CDM.SubcollectionIndexManager.Set_Default_Subindex", "CDM.SubcollectionIndexManager.Set_Default_Subindex_Tooltip");
-
+	    
 	    JPanel index_pane = new JPanel();
 	    JPanel details_pane = new JPanel();
@@ -284,26 +277,20 @@
 	    JPanel content_pane = new JPanel();
 
-	    JLabel source_label = new JLabel();
-	    Dictionary.registerText(source_label, "CDM.SubcollectionIndexManager.Source");
+	    JLabel source_label = new JLabel(Dictionary.get("CDM.SubcollectionIndexManager.Source"));
+	    
 	    source_list = new CheckList(false);
 	    source_list.setListData(sources);
-	    Dictionary.registerTooltip(source_list, "CDM.SubcollectionIndexManager.Source_Tooltip");
-
+	    source_list.setToolTipText(Dictionary.get("CDM.SubcollectionIndexManager.Source_Tooltip"));
+	    
 	    JPanel button_pane = new JPanel();
-	    add_button = new GLIButton();
+	    add_button = new GLIButton(Dictionary.get("CDM.SubcollectionIndexManager.Add_Subindex"), Dictionary.get("CDM.SubcollectionIndexManager.Add_Subindex_Tooltip"));
 	    add_button.setEnabled(false);
-	    add_button.setMnemonic(KeyEvent.VK_A);
-	    Dictionary.registerBoth(add_button, "CDM.SubcollectionIndexManager.Add_Subindex", "CDM.SubcollectionIndexManager.Add_Subindex_Tooltip");
-
-	    remove_button = new GLIButton();
+	    
+	    remove_button = new GLIButton(Dictionary.get("CDM.SubcollectionIndexManager.Remove_Subindex"), Dictionary.get("CDM.SubcollectionIndexManager.Remove_Subindex_Tooltip"));
 	    remove_button.setEnabled(false);
-	    remove_button.setMnemonic(KeyEvent.VK_R);
-	    Dictionary.registerBoth(remove_button, "CDM.SubcollectionIndexManager.Remove_Subindex", "CDM.SubcollectionIndexManager.Remove_Subindex_Tooltip");
-
-	    replace_button = new GLIButton();
+	   
+	    replace_button = new GLIButton(Dictionary.get("CDM.SubcollectionIndexManager.Replace_Subindex"), Dictionary.get("CDM.SubcollectionIndexManager.Replace_Subindex_Tooltip"));
 	    replace_button.setEnabled(false);
-	    replace_button.setMnemonic(KeyEvent.VK_P);
-	    Dictionary.registerBoth(replace_button, "CDM.SubcollectionIndexManager.Replace_Subindex", "CDM.SubcollectionIndexManager.Replace_Subindex_Tooltip");
-
+	    
 	    // Listeners
 	    add_button.addActionListener(new AddListener());
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionManager.java	(revision 12122)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionManager.java	(revision 12123)
@@ -186,57 +186,49 @@
 
 	    JPanel button_pane_3 = new JPanel();
-	    add_button = new GLIButton();
-	    add_button.setMnemonic(KeyEvent.VK_A);
+	    add_button = new GLIButton(Dictionary.get("CDM.SubcollectionManager.Add"), Dictionary.get("CDM.SubcollectionManager.Add_Tooltip"));
 	    add_button.setEnabled(false);
-	    Dictionary.registerBoth(add_button, "CDM.SubcollectionManager.Add", "CDM.SubcollectionManager.Add_Tooltip");
-	    remove_button = new GLIButton();
-	    remove_button.setMnemonic(KeyEvent.VK_R);
+	    
+	    remove_button = new GLIButton(Dictionary.get("CDM.SubcollectionManager.Remove"), Dictionary.get("CDM.SubcollectionManager.Remove_Tooltip"));
 	    remove_button.setEnabled(false);
-	    Dictionary.registerBoth(remove_button, "CDM.SubcollectionManager.Remove", "CDM.SubcollectionManager.Remove_Tooltip");
-	    update_button = new GLIButton();
-	    update_button.setMnemonic(KeyEvent.VK_C);
+	    
+	    update_button = new GLIButton(Dictionary.get("CDM.SubcollectionManager.Replace"), Dictionary.get("CDM.SubcollectionManager.Replace_Tooltip"));
 	    update_button.setEnabled(false);
-	    Dictionary.registerBoth(update_button, "CDM.SubcollectionManager.Replace", "CDM.SubcollectionManager.Replace_Tooltip");
-
+	    
 	    JPanel button_pane = new JPanel();
 	    JPanel button_pane_1 = new JPanel();
-	    include_button = new JRadioButton();
+	    include_button = new JRadioButton(Dictionary.get("CDM.SubcollectionManager.Include"));
 	    include_button.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
-	    include_button.setMnemonic(KeyEvent.VK_I);
 	    include_button.setOpaque(false);
-	    Dictionary.registerText(include_button, "CDM.SubcollectionManager.Include");
-	    exclude_button = new JRadioButton();
+	    
+	    exclude_button = new JRadioButton(Dictionary.get("CDM.SubcollectionManager.Exclude"));
 	    exclude_button.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
-	    exclude_button.setMnemonic(KeyEvent.VK_X);
 	    exclude_button.setOpaque(false);
-	    Dictionary.registerText(exclude_button, "CDM.SubcollectionManager.Exclude");
-
-	    JLabel flags_label = new JLabel();
-	    Dictionary.registerText(flags_label, "CDM.SubcollectionManager.Flags");
+	    
+	    JLabel flags_label = new JLabel(Dictionary.get("CDM.SubcollectionManager.Flags"));
+	    
 	    flags_field = new NonWhitespaceField();
-	    Dictionary.registerTooltip(flags_field, "CDM.SubcollectionManager.Flags_Tooltip");
+	    flags_field.setToolTipText(Dictionary.get("CDM.SubcollectionManager.Flags_Tooltip"));
 
 	    JPanel inclusive_pane = new JPanel();
-	    JLabel inclusive_label = new JLabel();
-	    Dictionary.registerText(inclusive_label, "CDM.SubcollectionManager.Inclusive");
-
-	    JLabel match_label = new JLabel();
-	    Dictionary.registerText(match_label, "CDM.SubcollectionManager.Match");
+	    JLabel inclusive_label = new JLabel(Dictionary.get("CDM.SubcollectionManager.Inclusive"));
+	    
+	    JLabel match_label = new JLabel(Dictionary.get("CDM.SubcollectionManager.Match"));
+	    
 	    match_field = new JTextField();
-	    Dictionary.registerTooltip(match_field, "CDM.SubcollectionManager.Match_Tooltip");
-
-	    JLabel name_label = new JLabel();
-	    Dictionary.registerText(name_label, "CDM.SubcollectionManager.Name");
+	    match_field.setToolTipText(Dictionary.get("CDM.SubcollectionManager.Match_Tooltip"));
+	    
+	    JLabel name_label = new JLabel(Dictionary.get("CDM.SubcollectionManager.Name"));
+	    
 	    name_field = new NonWhitespaceField();
-	    Dictionary.registerTooltip(name_field, "CDM.SubcollectionManager.Name_Tooltip");
-
-	    JLabel source_label = new JLabel();
-	    Dictionary.registerText(source_label, "CDM.SubcollectionManager.Source");
+	    name_field.setToolTipText(Dictionary.get("CDM.SubcollectionManager.Name_Tooltip"));
+	    
+	    JLabel source_label = new JLabel(Dictionary.get("CDM.SubcollectionManager.Source"));
+	    
 	    ArrayList every_metadata_set_element = MetadataSetManager.getEveryMetadataSetElement();
 	    Vector source_model = new Vector(every_metadata_set_element);
 	    source_model.add(0, StaticStrings.FILENAME_STR);
 	    source_combobox = new JComboBox(source_model);
-	    Dictionary.registerTooltip(source_combobox, "CDM.SubcollectionManager.Source_Tooltip");
-
+	    source_combobox.setToolTipText(Dictionary.get("CDM.SubcollectionManager.Source_Tooltip"));
+	    
 	    subcollection_list = new JList(model);
 	    subcollection_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
@@ -247,7 +239,6 @@
 	    include_button.setSelected(true);
 	    JPanel subcollection_list_pane = new JPanel();
-	    JLabel subcollection_list_label = new JLabel();
-	    Dictionary.registerText(subcollection_list_label, "CDM.SubcollectionManager.Assigned");
-
+	    JLabel subcollection_list_label = new JLabel(Dictionary.get("CDM.SubcollectionManager.Assigned"));
+	    
 	    // Create a message pane which explains why these controls are not currently active
 	    JPanel message_pane = new JPanel();
@@ -256,6 +247,6 @@
 	    args[1] = Dictionary.get("Preferences.Mode.Systems");
 	    args[2] = Dictionary.get("Preferences.Mode.Expert");
-	    JTextArea message_textarea = new JTextArea();
-	    Dictionary.registerText(message_textarea, "CDM.SubcollectionManager.Partitions_Disabled", args);
+	    JTextArea message_textarea = new JTextArea(Dictionary.get("CDM.SubcollectionManager.Partitions_Disabled", args));
+	    
 	    message_textarea.setEditable(false);
 	    message_textarea.setHighlighter(null); // Prevent highlighting
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/TranslationView.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/TranslationView.java	(revision 12122)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/TranslationView.java	(revision 12123)
@@ -202,13 +202,11 @@
 
 	    JPanel component_selection_panel = new JPanel();
-	    JLabel component_label = new JLabel();
-	    Dictionary.registerText(component_label, "CDM.TranslationManager.Affected_Features");
+	    JLabel component_label = new JLabel(Dictionary.get("CDM.TranslationManager.Affected_Features"));
 	    features_list = new JList(getFeaturesList());
 	    features_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
 
 	    JPanel fragment_selection_panel = new JPanel();
-	    JLabel fragment_label = new JLabel();
-	    Dictionary.registerText(fragment_label, "CDM.TranslationManager.Assigned_Fragments");
-
+	    JLabel fragment_label = new JLabel(Dictionary.get("CDM.TranslationManager.Assigned_Fragments"));
+	    
 	    fragment_table = new JTable(fragment_table_model);
 	    fragment_table.setAutoResizeMode(JTable.AUTO_RESIZE_LAST_COLUMN);
@@ -227,14 +225,14 @@
 
 	    JPanel language_panel = new JPanel();
-	    JLabel language_label = new JLabel();
-	    Dictionary.registerText(language_label, "CDM.TranslationManager.Language");
+	    JLabel language_label = new JLabel(Dictionary.get("CDM.TranslationManager.Language"));
+	    
 	    language_combobox = new JComboBox(CollectionDesignManager.language_manager.getLanguageCodes().toArray());
 	    language_combobox.setPreferredSize(COMPONENT_SIZE);
 	    language_combobox.setRenderer(new LanguageListCellRenderer());
-	    Dictionary.registerTooltip(language_combobox, "CDM.TranslationManager.Language_Tooltip");
-
+	    language_combobox.setToolTipText(Dictionary.get("CDM.TranslationManager.Language_Tooltip"));
+	    
 	    JPanel default_text_panel = new JPanel();
-	    JLabel default_label = new JLabel();
-	    Dictionary.registerText(default_label, "CDM.TranslationManager.Default_Text");
+	    JLabel default_label = new JLabel(Dictionary.get("CDM.TranslationManager.Default_Text"));
+	    
 	    default_area = new JTextArea();
 	    default_area.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
@@ -244,6 +242,6 @@
 
 	    JPanel translated_text_panel = new JPanel();
-	    JLabel translation_label = new JLabel();
-	    Dictionary.registerText(translation_label, "CDM.TranslationManager.Translation");
+	    JLabel translation_label = new JLabel(Dictionary.get("CDM.TranslationManager.Translation"));
+	 
 	    translation_area = new JTextArea();
 	    translation_area.setBackground(Configuration.getColor("coloring.disabled", false));
@@ -251,19 +249,16 @@
 	    translation_area.setLineWrap(true);
 	    translation_area.setWrapStyleWord(true);
-	    Dictionary.registerTooltip(translation_area, "CDM.TranslationManager.Translation_Tooltip");
+	    translation_area.setToolTipText(Dictionary.get("CDM.TranslationManager.Translation_Tooltip"));
 
 	    JPanel button_pane = new JPanel();
-	    add_button = new GLIButton();
+	    add_button = new GLIButton(Dictionary.get("CDM.TranslationManager.Add"), Dictionary.get("CDM.TranslationManager.Add_Tooltip"));
 	    add_button.setEnabled(false);
-	    add_button.setMnemonic(KeyEvent.VK_A);
-	    Dictionary.registerBoth(add_button, "CDM.TranslationManager.Add", "CDM.TranslationManager.Add_Tooltip");
-	    replace_button = new GLIButton();
+
+	    replace_button = new GLIButton(Dictionary.get("CDM.TranslationManager.Replace"), Dictionary.get("CDM.TranslationManager.Replace_Tooltip"));
 	    replace_button.setEnabled(false);
-	    replace_button.setMnemonic(KeyEvent.VK_C);
-	    Dictionary.registerBoth(replace_button, "CDM.TranslationManager.Replace", "CDM.TranslationManager.Replace_Tooltip");
-	    remove_button = new GLIButton();
+
+	    remove_button = new GLIButton(Dictionary.get("CDM.TranslationManager.Remove"), Dictionary.get("CDM.TranslationManager.Remove_Tooltip"));
 	    remove_button.setEnabled(false);
-	    remove_button.setMnemonic(KeyEvent.VK_R);
-	    Dictionary.registerBoth(remove_button, "CDM.TranslationManager.Remove", "CDM.TranslationManager.Remove_Tooltip");
+
 
 	    // Connection
